<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:background="@drawable/xml_background_worldbutton"
    android:orientation="vertical"
    android:padding="15dp">

        <TextView
            android:id="@+id/worldbutton_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:text="@string/world_button_title_placeholder"
            android:textColor="#ff2200"
            android:textSize="30sp"/>

        <RelativeLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal">

            <ImageView
                android:id="@+id/worldbutton_preview"
                android:layout_width="150dp"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:layout_marginTop="10dp"
                android:adjustViewBounds="true"
                android:src="@drawable/world_previews_grass"/>

            <ImageView
                android:id="@+id/worldbutton_lock"
                android:layout_width="150dp"
                android:layout_height="150dp"
                android:layout_centerInParent="true"
                android:src="@drawable/guis_lock_locked"
                android:visibility="visible"/>
        </RelativeLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="30sp"
                android:layout_height="30sp"
                android:layout_gravity="center_vertical"
                android:src="@drawable/guis_tick"/>

            <TextView
                android:id="@+id/worldbutton_levelcount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="10dp"
                android:text="@string/world_button_progress_placeholder"
                android:textSize="20sp"/>

            <ImageView
                android:layout_width="30sp"
                android:layout_height="30sp"
                android:layout_gravity="center_vertical"
                android:src="@drawable/currency_star"/>

            <TextView
                android:id="@+id/worldbutton_starcount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="10dp"
                android:text="@string/world_button_progress_placeholder"
                android:textSize="20sp"/>

            <ImageView
                android:layout_width="30sp"
                android:layout_height="30sp"
                android:layout_gravity="center_vertical"
                android:src="@drawable/currency_energy"/>

            <TextView
                android:id="@+id/worldbutton_energycount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="@string/world_button_progress_placeholder"
                android:textSize="20sp"/>

        </LinearLayout>

</LinearLayout>